package kr.pe.theeye.gobackground;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class GoBackgroundActivity extends Activity implements OnClickListener
{
	private TextView mTitle;
	
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mTitle = (TextView) findViewById(R.id.title);
        
        Button goMethod = (Button) findViewById(R.id.background_with_method);
        Button goIntent = (Button) findViewById(R.id.background_with_intent);
        
        goMethod.setOnClickListener(this);
        goIntent.setOnClickListener(this);
    }

	@Override
	public void onClick(View view)
	{
		switch (view.getId())
		{
		case R.id.background_with_method:
			mTitle.setText("moveTaskToBack ̿Ͽ Ȩȭ ̵");
			moveTaskToBack(true);
			break;
			
		case R.id.background_with_intent:
			mTitle.setText("Intent ̿Ͽ Ȩȭ ̵");
			Intent intent = new Intent();
			intent.setAction(Intent.ACTION_MAIN);
			intent.addCategory(Intent.CATEGORY_HOME);
			startActivity(intent);
			break;
		}
	}
}